#include <stdio.h>
#include <stdlib.h>
#include "fifo.h"

#define Vector(type, dim)  (type*) calloc((unsigned) dim,(unsigned) sizeof(type))




init_int_fifo(int size, Stack *stack)
{
  (*stack).var = Vector(int, size);
  (*stack).size = size;
  (*stack).nb_el = 0;
}




void   empiler(int number, Stack *stack)
{
  (*stack).var[(*stack).nb_el++] = number;
  if ((*stack).nb_el > (*stack).size) {
    printf("not enough memory in stack\n");
    exit(1);
  }
}




void   depiler(int *number, Stack *stack)
{
  if (empty_stackp(stack)) {
    printf("attempt to read an empty element\n");
    exit(1);
  }
  else
    *number = (*stack).var[--(*stack).nb_el];
}
